import string
import os
import shutil

listTemplates  = [
			"bioinformatik",
			"favorite",
			"cool",
			"nokia",
			"switch",
			"lart",
			"eborit",
			"firstobject",
			"simple_oben",
			"simple_oben_breit",
			"current"
]

def copy_template(strTemplate):
	print "Copying '%s'" % strTemplate
	path = "../../web/%s" % strTemplate
	try:
		shutil.rmtree(path, ignore_errors=1)
	except:
		pass
	try:
		os.makedirs("../../web")
	except:
		pass
	shutil.copytree("../../current", path) 

def write_template(strTemplate):
	strStructure = "zulu_template_%s.xml" % strTemplate
	print "Writing template '%s' -> '%s'" % (strTemplate, strStructure)
	fStructure = open(strStructure, "w")
	fStructure.write("""<?xml version="1.0" encoding="ISO-8859-1"?>
<content>
	<Template>
	<a>zulu_template_%s&lt;!--Zulu:Tag:Printextension--&gt;</a>
	</Template>
	<Include>
	<a>zulu_structure.xml</a>
	</Include>
</content>
	""" % strTemplate)
	fStructure.close()
	
def zulu_execute(strStructure):
	print "Executing 'zulu.py -s %s'" % strStructure
	rs = os.system("zulu.py -s %s" % strStructure)
	if rs != 0:
		raise "Error zuluing %s!" % strStructure

if __name__ == "__main__":
	os.chdir('..')
	# Create first the english version
	zulu_execute("development_english/zulu_structure_english.xml")
	copy_template("english")

	# Create now all the german versions according listTemplates
	for strTemplate in listTemplates:
		write_template(strTemplate)
		zulu_execute("zulu_template_%s.xml" % strTemplate)
		os.unlink("zulu_template_%s.xml" % strTemplate)
		copy_template(strTemplate)

